Difference between revisions of "Lines"

From Microstation VBA Wiki
Jump to: navigation, search
Line 2: Line 2:
  
 
<PRE>
 
<PRE>
Dim oLine As Element
+
Dim oLine As LineElement
 
</PRE>
 
</PRE>
  

Revision as of 09:13, 6 August 2010

You can't just draw a line. Instead you have to create a line in memory and then write it to the DGN file. So in a subroutine, first you set up a variable that will hold an element.

Dim oLine As LineElement

After you define two Points, you use a very long command to make a line (see below for more info):

Set oLine = CreateLineElement2(Nothing, ptStart, ptEnd)

Then you write the line to the DGN file:

ActiveModelReference.AddElement MyLine

Line Characteristics

Some settings are pretty easy, able to be set by changing values of properties in ActiveSettings (color numbers are part of Microstation; 0 is white; 1 is blue; 3 is red). When you create a line, all of the ActiveSettings will be used, so to get what you want (instead of whatever the current ActiveSetting is) you need to set all of characteristics you want:

ActiveSettings.Color = 0 
ActiveSettings.LineWeight = 3

But since there are an infinite number of levels and they are named, you can't change levels quite that easily. First you have to set up a Level variable, then you can assign a level to it by looking for the name of the level (by default, levels are named "Level 1," "Level 2," etc.)

Dim oLevel as Level
Set oLevel = ActiveDesignFile.Levels.Find("Level 2")
Set ActiveSettings.Level = oLevel